package com.yihu.wlyy.entity.doctor.survey;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * Created by Reece on 2017/3/9.
 */
@Entity
@Table(name = "wlyy_survey_label_info")
public class SurveyLabelInfo extends IdEntity implements Serializable {
    //    业务主键
    private String code;
    //  关联编码
    private String relationCode;
    //被使用场景(0模板 1问卷)
    private Integer useType;
    //    字典中的标签值(1满意度、2糖尿病、3高血压、4生活日常)
    private Integer label;

    public SurveyLabelInfo() {
    }

    public SurveyLabelInfo(String code, String relationCode, Integer useType, Integer label) {
        this.code = code;
        this.relationCode = relationCode;
        this.useType = useType;
        this.label = label;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }

    public Integer getUseType() {
        return useType;
    }

    public void setUseType(Integer useType) {
        this.useType = useType;
    }

    public Integer getLabel() {
        return label;
    }

    public void setLabel(Integer label) {
        this.label = label;
    }
}
